
package cz.moneta.test.dsl.cebia.iva;

import java.math.BigDecimal;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for WSPriceType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="WSPriceType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="WithoutVAT" type="{http://www.w3.org/2001/XMLSchema}decimal" minOccurs="0"/&gt;
 *         &lt;element name="WithVAT" type="{http://www.w3.org/2001/XMLSchema}decimal" minOccurs="0"/&gt;
 *         &lt;element name="PriceCurrency" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "WSPriceType", propOrder = {
    "withoutVAT",
    "withVAT",
    "priceCurrency"
})
public class WSPriceType {

    @XmlElement(name = "WithoutVAT", nillable = true)
    protected BigDecimal withoutVAT;
    @XmlElement(name = "WithVAT", nillable = true)
    protected BigDecimal withVAT;
    @XmlElement(name = "PriceCurrency", nillable = true)
    protected String priceCurrency;

    /**
     * Gets the value of the withoutVAT property.
     * 
     * @return
     *     possible object is
     *     {@link BigDecimal }
     *     
     */
    public BigDecimal getWithoutVAT() {
        return withoutVAT;
    }

    /**
     * Sets the value of the withoutVAT property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigDecimal }
     *     
     */
    public void setWithoutVAT(BigDecimal value) {
        this.withoutVAT = value;
    }

    /**
     * Gets the value of the withVAT property.
     * 
     * @return
     *     possible object is
     *     {@link BigDecimal }
     *     
     */
    public BigDecimal getWithVAT() {
        return withVAT;
    }

    /**
     * Sets the value of the withVAT property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigDecimal }
     *     
     */
    public void setWithVAT(BigDecimal value) {
        this.withVAT = value;
    }

    /**
     * Gets the value of the priceCurrency property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPriceCurrency() {
        return priceCurrency;
    }

    /**
     * Sets the value of the priceCurrency property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPriceCurrency(String value) {
        this.priceCurrency = value;
    }

    public WSPriceType withWithoutVAT(BigDecimal value) {
        setWithoutVAT(value);
        return this;
    }

    public WSPriceType withWithVAT(BigDecimal value) {
        setWithVAT(value);
        return this;
    }

    public WSPriceType withPriceCurrency(String value) {
        setPriceCurrency(value);
        return this;
    }

}
